Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 21 Jan 2023 09:49:04 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Sorry, we''re unable to deliver Plain T-shirt with Round Neck ... +11items of order 9410891613 AWB FP011823000236. Please check your email for more details.

This is happened 2nd time in 2 weeks that my ordered is cancelled.  My location is at the Dubai Mall, very easy to find. Your delivery man called on Wednesday but didn’t deliver, and today it got cancelled.  I am receiving deliveries 3-4 times a week from an other companies, never got this issue only with Splash.  I complained last time on the phone,but no one got back to me.  Basically I never received any phone calls for this nor the previous order and just got cancelled.  I need this order please deliver it asap!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5611223